name: Build
on:
  push:
  pull_request:

permissions:
  contents: read

jobs:
  build:
    name: build
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4
        with:
          fetch-depth: 0 # all history for all branches and tags

      - uses: actions/setup-go@v6
        with:
          go-version-file: go.mod
          check-latest: true
          cache: false

      - name: Build
        run:
          go build .